Skip to main content

POST /logistics/vrp/2.0.0/create

OpenAPI Specification

2GIS Navigation API (6.0.0)

Algorithms

Solving the vehicle routing problem

Calculation of passing all specified points for one or more couriers

query Parameters
key
required
string

Developer API key

Request Body schema: */*
required

Request parameters

Array of Depot (objects) or null

Multiple depots

required
Array of objects (Waypoint) [ 1 .. 4000 ] items

List of waypoints

required
Array of objects (Agent) [ 1 .. 200 ] items

List of agents

Array of Route (objects) or null

List of initial routes

object

Calculation options

Responses

Response Schema: application/json
task_id
required
string

Task identifier

required
object

Task status

RoutingResult (object) or null

Result

Response samples

Content type
application/json
{
  • "task_id": "string",
  • "status": {
    • "status": "Run",
    • "queued": "string",
    • "started": "string",
    • "matrix_downloaded": "string",
    • "calculated": "string",
    • "completed": "string"
    },
  • "result": {
    • "metrics": {
      },
    • "options": {
      },
    • "routes": [
      ],
    • "dropped_waypoints": [
      ],
    • "dropped_agents": [
      ]
    }
}